
QGIS Application - Bug report #2283

node tool/select features tool do not have effects on a shapefile

2009-12-15 06:52 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 12343

Description

I stepped into a shapefile (lines) that when toggled for editing doesn't react to the node tool or the select features tool. The same vector

once imported and then exported trough GRASS seems to behave normally.

Link to shapefile:

http://www.faunalia.pt/downloads/shape_test.tar.gz

tested on qgis trunk under linux.

History

#1 - 2010-10-23 01:50 AM - Paolo Cavallini

So probably the shapefile has topological errors. Not sure how should we deal with buggy shp, though.

#2 - 2011-04-16 06:18 AM - Maxim Dubinin

the weblink is broken

#3 - 2011-04-16 06:27 AM - Giovanni Manghi

I will give another link asap

#4 - 2011-04-17 03:12 AM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Open to Closed

Hi, I tested again on trunk the problematic shaped and now it works all fine. So I'm closing this.
